dots.v2.registries.post()
Generated on 18 Nov 2026
from DoTs version
v1.25.0
Usage
client.v2.registries.post(body: Multiregistry_create, requestConfiguration?: RequestConfiguration<object>): Promise<undefined | RegistriesPostResponse>Description
To create your container registry, send a POST request to /v2/registries.
The name becomes part of the URL for images stored in the registry. For
example, if your registry is called example, an image in it will have the
URL registry.digitalocean.com/example/image:tag.
Parameters
namestring requiredExample:
exampleA globally unique name for the container registry. Must be lowercase and be composed only of numbers, letters and
-, up to a limit of 63 characters.subscriptionTierSlugstring optionalThe slug of the subscription tier to sign up for. Valid values can be retrieved using the options endpoint.
regionstring optionalSlug of the region where registry data is stored. When not provided, a region will be selected.
insightsobject or null optionalAn object specifying the Insights telemetry that the customer opts in to for the container registry. This is only accepted when creating a registry and is not returned in responses. If the object is omitted, or if
logsis not set, the registry is created with logs not enabled.Show child properties
logsboolean optionalExample:
trueA boolean value indicating whether the registry's logs are sent to Insights. Set this to
trueto send the registry's logs to Insights.false, and omittinginsightsorlogs, both create the registry with logs not enabled.
Request Sample
Response Example
More Information
See /v2/registries in the API reference for additional detail on responses, headers, parameters, and more.